<?php
/**
 * The template part for displaying single post
 *
 * @package VW Blog Magazine
 * @subpackage vw-blog-magazine
 * @since VW Blog Magazine 1.0
 */
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
    <div id="content-vw">
        <div class="metabox">
            <?php if(get_theme_mod('vw_blog_magazine_toggle_postdate',true)==1){ ?>
                <span class="entry-date"><i class="far fa-calendar-alt"></i><?php the_date(); ?></span>
            <?php } ?>

            <?php if(get_theme_mod('vw_blog_magazine_toggle_author',true)==1){ ?>
                <span class="entry-author"><i class="fas fa-user"></i><?php the_author(); ?></span>
            <?php } ?>

            <?php if(get_theme_mod('vw_blog_magazine_toggle_comments',true)==1){ ?>
                <span class="entry-comments"><i class="fas fa-comments"></i><?php comments_number( __('0 Comments','vw-blog-magazine'), __('0 Comments','vw-blog-magazine'), __('% Comments','vw-blog-magazine') ); ?></span>
            <?php } ?>
        </div>
        <h2><?php the_title(); ?></h2>
        <?php if(has_post_thumbnail()) { ?>
            <hr>
                <div class="feature-box">   
                    <img src="<?php the_post_thumbnail_url('full'); ?>">
                </div>
            <hr>                 
            <?php } the_content();
            the_tags(); ?>
            <?php
            // If comments are open or we have at least one comment, load up the comment template
            if ( comments_open() || '0' != get_comments_number() )
            comments_template();

            if ( is_singular( 'attachment' ) ) {
                // Parent post navigation.
                the_post_navigation( array(
                    'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'vw-blog-magazine' ),
                ) );
            } elseif ( is_singular( 'post' ) ) {
                // Previous/next post navigation.
                the_post_navigation( array(
                    'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'vw-blog-magazine' ) . '</span> ' .
                        '<span class="screen-reader-text">' . __( 'Next post:', 'vw-blog-magazine' ) . '</span> ' .
                        '<span class="post-title">%title</span>',
                    'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'vw-blog-magazine' ) . '</span> ' .
                        '<span class="screen-reader-text">' . __( 'Previous post:', 'vw-blog-magazine' ) . '</span> ' .
                        '<span class="post-title">%title</span>',
                ) );
            }
        ?>
    </div>
</div>